// Classe:       Disciplina
// Autor:        Armando Delgado

#ifndef __DISCIPLINA__
#define __DISCIPLINA__

#include <string>
using namespace std;


/* Classe:          Disciplina
 * Autor:           Armando Delgado
 *
 * Descricao:       tipo abstrato para registro de disciplinas
 *                  existentes no curso
 * Construtores:      Disciplina () e
 *                    Disciplina (Codigo, Ementa)
 * Destrutor:       nenhum
 *                       
 */
class Disciplina {
 private:
  string codigo; // codigo da disciplina
  string nome;   // nome da disciplina
  string ementa; // ementa da disciplina

 public:

  // Construtor padrao que define o valor inicial das 
  // variaveis-membro para serem nulos.
  Disciplina ();
 
  // Construtor que define o valor inicial do objeto com 
  // codigo da disciplina e seu nome. Ementa eh definida como vazio.
  Disciplina (string nCodigo, string nNome);

  // Define codigo de disciplina
  void setCodigo (string nCodigo);

  // Define nome completo de disciplina
  void setNome (string nNome);

  // Define ementa de disciplina
  void setEmenta (string nEmenta);

  // Obtem codigo de disciplina
  string getCodigo ();

  // Obtem nome completo de disciplina
  string getNome () const;

  // Obtem ementa de disciplina
  string getEmenta () const;
};

#endif

